package com.kingdee.eas.custom.integration.apimgt;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.framework.DataBase;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.IDataBase;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.custom.integration.apimgt.app.*;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class ApiRegistryBill extends DataBase implements IApiRegistryBill
{
    public ApiRegistryBill()
    {
        super();
        registerInterface(IApiRegistryBill.class, this);
    }
    public ApiRegistryBill(Context ctx)
    {
        super(ctx);
        registerInterface(IApiRegistryBill.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("54974055");
    }
    private ApiRegistryBillController getController() throws BOSException
    {
        return (ApiRegistryBillController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public ApiRegistryBillInfo getApiRegistryBillInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getApiRegistryBillInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public ApiRegistryBillInfo getApiRegistryBillInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getApiRegistryBillInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public ApiRegistryBillInfo getApiRegistryBillInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getApiRegistryBillInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public ApiRegistryBillCollection getApiRegistryBillCollection() throws BOSException
    {
        try {
            return getController().getApiRegistryBillCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public ApiRegistryBillCollection getApiRegistryBillCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getApiRegistryBillCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public ApiRegistryBillCollection getApiRegistryBillCollection(String oql) throws BOSException
    {
        try {
            return getController().getApiRegistryBillCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}